Skip to main content
POST
Send one test delivery to a database webhook

Authorizations

Authorization
string
header
required

WorkOS access JWT or a user-owned WorkOS API key. User keys are bound to one organization and restricted to their enabled product permissions. Session-only onboarding and session revocation require an interactive access JWT. No cookie session is assumed.

Headers

X-Request-Id
string

Optional caller-provided correlation identifier.

Required string length: 1 - 128

Path Parameters

project_id
string
required

Project identifier.

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
webhook_id
string
required

Database webhook identifier.

Pattern: ^whk_[a-z0-9]{20}$

Query Parameters

environment
enum<string>
required

Application environment the mutation applies to.

Available options:
dev,
prod

Response

The outcome of the test request.

delivered
boolean
required
status
integer | null
required
error
enum<string> | null
required
Available options:
timeout,
network,
http,
null
duration_ms
integer
required
Required range: x >= 0